#include "testlib.h"
#include <string>
#include <unordered_set>

using namespace std;

const int dec5 = 100000;
const int dec6 = 1000000;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 5 : validator.group()[0] - '0';
    if (g == 0) {
        g = 5;
    }

    int n = inf.readInt(1, dec5, "n");
    inf.readEoln();
    vector<long long> a;
    for (int i = 0; i < n; i++) {
        if (i > 0) {
            inf.readSpace();
        }
        a.push_back(inf.readInt(-dec6, dec6, "a_i"));
    }
    inf.readEoln();

    int k = inf.readInt(1, dec5, "k");
    inf.readEoln();
    vector<long long> x;
    for (int i = 0; i < k; i++) {
        if (i > 0) {
            inf.readSpace();
        }
        x.push_back(inf.readInt(-dec6, dec6, "x_i"));
    }

    inf.readEoln();
    inf.readEof();

    if (g == 1) {
        ensuref((long long) n * k <= dec5, "group 1 'nk < 10^5' failed");
    } else if (g == 2) {
        for (int i = 0; i < n; i++) {
            ensuref(abs(a[i]) <= 10, "group 2 '|a_i| <= 10' failed");
        }
    } else if (g == 3) {
        long long mina = dec6, maxa = -dec6;
        for (int i = 0; i < n; i++) {
            mina = min(mina, a[i]);
            maxa = max(maxa, a[i]);
        }

        long long prefx = 0;
        long long minx = 0, maxx = 0;
        for (int i = 0; i < k; i++) {
            prefx += x[i];
            minx = min(minx, prefx);
            maxx = max(maxx, prefx);
        }

        ensuref(mina + minx >= -10000, "group 3 'height >= -10000' failed");
        ensuref(maxa + maxx <= 10000, "group 3 'height <= 10000' failed");
    } else if (g == 4) {
        for (int i = 0; i < k; i++) {
            ensuref(x[i] >= 0, "group 4 'x_i >= 0' failed");
        }
    }

}