#include "testlib.h"
#include <vector>
#include <algorithm>

const long long MAXNM[] = {
    10,           // sample
    100,          // 1
    1000000000,   // 2
    1000000000,   // 3
};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);

    auto gr = validator.group().empty() ? 0 : validator.group()[0] - '0';

    long long n = inf.readLong(1ll, MAXNM[gr], "n");
    inf.readSpace();
    long long m = inf.readLong(1ll, MAXNM[gr], "m");
    inf.readEoln();
    
    long long power_2 = 1;
    if (gr == 2) {
        do {
            if (power_2 == n || power_2 == m) {
                inf.readEof();
                return 0;
            }
            power_2 *= 2;
        } while (power_2 <= n || power_2 <= m);
        ensuref(false, "power_of_2");
    }
    inf.readEof();
    return 0;
}
