// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
typedef pair<ll, ll> pll;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	ll n, m;
	cin >> n >> m;
	set<pll> vars = {{n, m}};

	while (true) {
		bool changed = false;
		for (auto p : vars) {
			// x * p.ss, (p.ff - x) * p.ss
			// x = p.ss
			if (p.ss < p.ff) {
				ll x = p.ss;
				pll np = {x, p.ss + (p.ff - x)};
				if (!vars.count(np)) {
					vars.insert(np);
					changed = true;
					break;
				}
			}
			// x = p.ff - x
			if (p.ff % 2 == 0) {
				ll x = p.ff / 2;
				pll np = {x, p.ss * 2};
				if (!vars.count(np)) {
					vars.insert(np);
					changed = true;
					break;
				}
			}

			// p.ss = p.ff - x
			// x = p.ff - p.ss
			if (p.ff > p.ss) {
				ll x = p.ff - p.ss;
				pll np = {p.ss, x + p.ss};
				if (!vars.count(np)) {
					vars.insert(np);
					changed = true;
					break;
				}
			}

			pll np = {p.ss, p.ff};
			if (!vars.count(np)) {
				vars.insert(np);
				changed = true;
				break;
			}
		}

		if (!changed) {
			break;
		}
	}

	ll ans = 0;
	for (auto p : vars) {
		ans = max(ans, (p.ff + p.ss) * 2);
	}

	cout << ans << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}

#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}