// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

struct point {
	int x, y;
	point(int _x, int _y) : x(_x), y(_y) {}

	point operator+(point const& other) const {
		return point(x + other.x, y + other.y);
	}

	point operator-(point const& other) const {
		return point(x - other.x, y - other.y);
	}

	ll len2() const {
		return (ll) x * x + (ll) y * y;
	}

	bool operator<(point const& other) const {
		return x < other.x || (x == other.x && y < other.y);
	}

	bool operator!=(point const& other) const {
		return x != other.x || y != other.y;
	}
};

ll cross(point const& p1, point const& p2) {
	return (ll) p1.x * p2.y - (ll) p1.y * p2.x;
}

vector<point> build_convex_hull(vector<point> points) {
	point center = *min_element(points.begin(), points.end());
	vector<point> st;
	for (auto p : points) {
		if (p != center) {
			st.push_back(p - center);
		}
	}

	swap(points, st);
	st.clear();
	st.push_back(point(0, 0));

	sort(points.begin(), points.end(), [&](auto& a, auto& b) {
		ll val = cross(a, b);
		if (val) {
			return val > 0;
		}

		return a.len2() < b.len2();
	});

	for (auto p : points) {
		while (szof(st) >= 2 && cross(st.back() - st[szof(st) - 2], p - st.back()) <= 0) {
			st.pop_back();
		}
		st.push_back(p);
	}

	for (auto& p : st) {
		p = p + center;
	}

	return st;
}

ll calc_area(vector<point> const& poly) {
	ll ret = 0;
	for (int i = 0; i < szof(poly); ++i) {
		int next = (i + 1) % szof(poly);
		ret += cross(poly[i], poly[next]);
	}
	return abs(ret);
}

void solve() {
	int n;
	cin >> n;
	vector<point> points;
	for (int i = 0; i < n; ++i) {
		int x, y;
		cin >> x >> y;
		points.push_back(point(x, y));
	}

	ll ans = INFL * 9;
	for (int i = 0; i < n; ++i) {
		auto tmp = points;
		tmp.erase(tmp.begin() + i);
		ans = min(ans, calc_area(build_convex_hull(tmp)));
	}

	cout << ans << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}

#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}