// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

const int D = 10;

void upd(ll& a, ll b) {
	a = min(a, b);
}

void solve() {
	int n, m;
	cin >> n >> m;
	vector<int> cost;
	for (int i = 0; i < n; ++i) {
		int num;
		cin >> num;
		cost.push_back(num);
	}

	vector<vector<int>> need(n);
	for (int i = 0; i < m; ++i) {
		int a, b;
		cin >> a >> b;
		--a; --b;
		need[b].push_back(a);
	}

	vector<ll> dp(1 << D, INFL), next(1 << D);
	dp[0] = 0;
	int tot = (1 << D) - 1;

	for (int i = 0; i < n; ++i) {
		int need_mask = 0;
		for (int from : need[i]) {
			need_mask |= 1 << (i - from - 1);
		}
		fill(next.begin(), next.end(), INFL);
		for (int mask = 0; mask < 1 << D; ++mask) {
			upd(next[(mask << 1) & tot], dp[mask]);
			if ((mask & need_mask) == need_mask) {
				upd(next[((mask << 1) & tot) | 1], dp[mask] + cost[i]);
			}
		}
		swap(next, dp);
	}

	cout << -*min_element(dp.begin(), dp.end()) << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}

#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}